
%define _target_platform  %{_target_cpu}-linux
%define _devprefix        /usr/local
%define _sysconfdir       /etc
%define _infodir          /usr/share/info
%define _mandir           /usr/share/man
%ifos Linux
%define _host             i386-pc-linux-gnu
%endif
%define __objdump         %{_target_platform}-objdump
%define __strip           %{_target_platform}-strip

%define debug_package     %{nil}
%define _unpackaged_files_terminate_build 0

Name: libcap
Version: 1.10
Release: 22u
Summary: Library for getting and setting POSIX.1e capabilities
Source: ftp://ftp.kernel.org/pub/linux/libs/security/linux-privs/kernel-2.4/%{name}-%{version}.tar.bz2
Source1: libcap-libcapdata.tar.gz
License: BSD-like and LGPL
Patch: libcap-1.10-ia64.patch
Patch1: libcap-1.10-userland.patch
Patch2: libcap-1.10-shared.patch
Patch3: libcap-1.10-alpha.patch

Patch50: libcap-%{version}-cross-20051025.patch

Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
Autoreq: no
AutoReqProv: no

%description
libcap is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

#%package devel
#Summary: Development files for libcap
#Group: Development/Libraries
#Requires: %{name} = %{version}-%{release}
#Autoreq: no
#AutoReqProv: no

#%description devel
#Development files (Headers, libraries for static linking, etc) for libcap.
#
#libcap is a library for getting and setting POSIX.1e (formerly POSIX 6)
#draft 15 capabilities.
#
#Install libcap-devel if you want to develop or compile applications using
#libcap.

%package devel-%{_target_cpu}
Summary: Development files for libcap
Group: Development/Libraries
#Requires: %{name} = %{version}-%{release}
Autoreq: no
AutoReqProv: no

%description devel-%{_target_cpu}
Development files for libcap.

%prep
%setup -q
# FIXME: Is this really required still?
%patch -p1 -b .ia64
%ifarch alpha
# FIXME: Is this really required still?
%patch3 -p1 -b .alpha
%endif
%patch1 -p1 -b .userland
%patch2 -p1 -b .shared


%patch50 -p1

tar xzf %{SOURCE1}

%build
if [ -n   libcap/Makefile.save ]; then
	mv libcap/Makefile libcap/Makefile.save 
	sed 's/CROSS_PATH/local\/%{_target_platform}/g' \
	libcap/Makefile.save  > libcap/Makefile 
fi

CROSS_PATH="local/%{_target_platform}" ; export CROSS_PATH ; \
make PREFIX=%{_prefix} LIBDIR=%{_libdir} \
CC=%{_target_platform}-gcc \
AR=%{_target_platform}-ar \
RANLIB=%{_target_platform}-ranlib \
STRIP=%{_target_platform}-strip \
CROSS_PATH=local/%{_target_platform}

%install
rm -rf ${RPM_BUILD_ROOT}
CROSS_PATH="local/%{_target_platform}" ; export CROSS_PATH ; \
make install FAKEROOT=${RPM_BUILD_ROOT} \
             LIBDIR=${RPM_BUILD_ROOT}/%{_lib} \
             SBINDIR=${RPM_BUILD_ROOT}/%{_sbindir} \
             INCDIR=${RPM_BUILD_ROOT}/%{_includedir} \
             MANDIR=${RPM_BUILD_ROOT}/%{_mandir}/ \
             COPTFLAG="$RPM_OPT_FLAGS" \
	     CC=%{_target_platform}-gcc \
	     AS=%{_target_platform}-as \
	     LD=%{_target_platform}-ld \
	     AR=%{_target_platform}-ar \
	     RANLIB=%{_target_platform}-ranlib \
	     STRIP=%{_target_platform}-strip \
	     CROSS_PATH=local/%{_target_platform}

chmod +x ${RPM_BUILD_ROOT}/%{_lib}/*.so.*

#
mkdir -p ${RPM_BUILD_ROOT}%{_devprefix}/%{_target_platform}
(cd ${RPM_BUILD_ROOT}%{_prefix} ; tar cf - include) | \
  (cd ${RPM_BUILD_ROOT}%{_devprefix}/%{_target_platform} ; tar xvf -)
(cd ${RPM_BUILD_ROOT} ; tar cf - lib) | \
  (cd ${RPM_BUILD_ROOT}%{_devprefix}/%{_target_platform} ; tar xvf -)
rm -f ${RPM_BUILD_ROOT}%{_devprefix}/%{_target_platform}/lib/*.la

#%post -p /sbin/ldconfig
#%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
/%{_lib}/*.so.*
%{_sbindir}/*

#%files devel
#%defattr(-,root,root)
#%{_includedir}/*
#/%{_lib}/*.so
#%{_mandir}/man2/*
#%{_mandir}/man3/*

%files devel-%{_target_cpu}
%defattr(-,root,root)
%{_devprefix}/%{_target_platform}/include/*
%{_devprefix}/%{_target_platform}/lib/*
 
%clean
rm -rf ${RPM_BUILD_ROOT}

%changelog
* Wed Sep 28 2005 Takayasu Ito <pito@valley.ne.jp>
-rebuild for ELITE BSP 3.00

* Tue Apr  5 2005 Tomoyoshi ASANO <asa@lineo.co.jp>
- build for ULD.

* Wed Mar 02 2005 Karsten Hopp <karsten@redhat.de> 1.10-22
- build with gcc-4

* Wed Feb 09 2005 Karsten Hopp <karsten@redhat.de> 1.10-21
- rebuilt

* Tue Aug 31 2004 Phil Knirsch <pknirsch@redhat.com> 1.10-20
- Fix wrong typedef in userland patch (#98801)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 27 2004 Karsten Hopp <karsten@redhat.de> 1.10-17
- use _manpath

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Sat Jan  4 2003 Jeff Johnson <jbj@redhat.com> 1.10-14
- set execute bits on library so that requires are generated.

* Thu Nov 21 2002 Mike A. Harris <mharris@redhat.com> 1.10-13
- Removed %%name macro sillyness from package Summary, description text, etc.
- Removed archaic Prefix: tag
- lib64 fixes everywhere to use _lib, _libdir, etc
- Removed deletion of RPM_BUILD_DIR from %%clean section
- Added -q flag to setup macro
- Severely cleaned up spec file, and removed usage of perl

* Fri Jul 19 2002 Jakub Jelinek <jakub@redhat.com> 1.10-12
- CFLAGS was using COPTFLAG variable, not COPTFLAGS
- build with -fpic
- apply the IA-64 patch everywhere, use capget/capset from glibc,
  not directly as _syscall (as it is broken on IA-32 with -fpic)
- reenable alpha

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed May 29 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.10-10
- Exclude alpha for now, apparent gcc bug.

* Fri Nov  9 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.10-6
- Fix sys/capabilities.h header (#55727)
- Move to /lib, some applications seem to be using this rather early
  (#55733)

* Mon Jul 16 2001 Trond Eivind Glomsr)Bd <teg@redhat.com>
- Add post,postun scripts

* Tue Jul 10 2001 Jakub Jelinek <jakub@redhat.com>
- don't build libcap.so.1 with ld -shared, but gcc -shared

* Wed Jun 20 2001 Trond Eivind Glomsr)Bd <teg@redhat.com>
- Rebuild - it was missing for alpha

* Wed Jun 06 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add s390/s390x support

* Thu May 17 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.10-1
- initial RPM
- fix build on ia64
